View Issue Details

IDProjectCategoryView StatusLast Update
15668Bug reportsEncryptionpublic2021-05-17 11:21
ReporterDenisChenu Assigned Top_teichmann  
PriorityhighSeveritypartial_block 
Status assignedResolutionreopened 
Product Version4.4.12 
Summary15668: Crypted data are not shown uncrypted
DescriptionWhen browse response : i see crypted data, with just done survey
Steps To ReproduceImport included survey,
Activate
Launch and submit
Browse response : data still crypted
Additional InformationMaybe it's the desired behaviour ?
I never update my encryptionkeypair, encryptionpublickey and encryptionsecretkey
TagsNo tags attached.
Complete LimeSurvey version number (& build)4.4.11 git
I will donate to the project if issue is resolvedNo
BrowserFF
Database & DB-Versionmariadb
Server OS (if known)fedora/linux
Webserver software & version (if known)nginx
PHP Version7.3.11

Relationships

related to 15669 feedbackp_teichmann Crypted data are not exported uncrypted 
related to 16330 assignedp_teichmann Encrypted fields not decrypted correctly when viewing responses using web UI or when exported to .lsa 

Activities

DenisChenu

DenisChenu

2019-12-17 18:12

developer  

DenisChenu

DenisChenu

2020-09-16 19:11

developer   ~59853

Just cheked : fixed
DenisChenu

DenisChenu

2021-03-05 08:04

developer   ~62743

Reopen with 4.4.11

Import included survey
Activate
Launch
Submit
Browse : crypted data

I have my key in config file

````
    'config'=>array(
        //~ 'standardthemerooturl' => '/master/asthemes/survey',
        //~ 'standardthemerootdir' => getcwd().DIRECTORY_SEPARATOR."asthemes".DIRECTORY_SEPARATOR."survey",
        
    // debug: Set this to 1 if you are looking for errors. If you still get no errors after enabling this
    // then please check your error-logs - either in your hosting provider admin panel or in some /logs directory
    // on your webspace.
    // LimeSurvey developers: Set this to 2 to additionally display STRICT PHP error messages and get full access to standard templates
        'max_execution_time' => 240,
        'ssl_disable_alert' => true,
        'debug'=>0,
        'debugsql'=>0, // Set this to 1 to enanble sql logging, only active when debug = 2
        'encryptionkeypair' => '0629b12307719f87b1958fd7eba07fde6790f5c631325e875da6c067986bc7bc09320e89a12c682bfc0e51b3c0ec5adf6538b9d4f9d5148a944782aeeccf360c09320e89a12c682bfc0e51b3c0ec5adf6538b9d4f9d5148a944782aeeccf360c',
        'encryptionpublickey' => '09320e89a12c682bfc0e51b3c0ec5adf6538b9d4f9d5148a944782aeeccf360c',
        'encryptionsecretkey' => '0629b12307719f87b1958fd7eba07fde6790f5c631325e875da6c067986bc7bc09320e89a12c682bfc0e51b3c0ec5adf6538b9d4f9d5148a944782aeeccf360c',
````
ollehar

ollehar

2021-03-10 17:17

administrator   ~63073

:|

Issue History

Date Modified Username Field Change
2019-12-17 18:12 DenisChenu New Issue
2019-12-17 18:12 DenisChenu File Added: limesurvey_survey_Crypted.lss
2019-12-17 18:15 DenisChenu Relationship added related to 15669
2020-01-10 15:41 cdorin Assigned To => cdorin
2020-01-10 15:41 cdorin Status new => assigned
2020-05-26 10:04 DenisChenu Relationship added related to 16330
2020-05-26 10:09 DenisChenu Summary Crypted data are not shown encrypted => Crypted data are not shown uncrypted
2020-05-27 15:36 ollehar Category Response browsing => Encryption
2020-09-16 19:11 DenisChenu Status assigned => resolved
2020-09-16 19:11 DenisChenu Resolution open => fixed
2020-09-16 19:11 DenisChenu Fixed in Version => 4.3.16
2020-09-16 19:11 DenisChenu Note Added: 59853
2020-09-25 15:12 cdorin Status resolved => closed
2021-03-05 08:02 DenisChenu Assigned To cdorin =>
2021-03-05 08:02 DenisChenu Status closed => feedback
2021-03-05 08:02 DenisChenu Resolution fixed => reopened
2021-03-05 08:02 DenisChenu Complete LimeSurvey version number (& build) 4.0.0-RC12 => 4.4.11 git
2021-03-05 08:04 DenisChenu Note Added: 62743
2021-03-05 08:04 DenisChenu Status feedback => new
2021-03-05 08:04 DenisChenu Severity minor => partial_block
2021-03-05 08:04 DenisChenu Fixed in Version 4.3.16 =>
2021-03-10 17:17 ollehar Note Added: 63073
2021-03-10 17:17 ollehar Priority none => high
2021-03-10 17:17 ollehar Product Version 4.0.0-RC12 => 4.4.12
2021-03-10 17:18 ollehar Assigned To => ollehar
2021-03-10 17:18 ollehar Status new => assigned
2021-05-17 11:21 p_teichmann Assigned To ollehar => p_teichmann